## therm-0.0.8 1-1

=== Makefile ===
# Makefile for building TEMPERATURE device driver and test application

all: therm.o set_therm read_temp fan_ctrl

# TEMPERATURE /THERM device driver
therm.o	:	therm.c therm.h
	gcc -O2 -D__KERNEL__ -DMODULE -c therm.c -o therm.o

set_therm:	set_therm.c therm.h
	gcc -O2 -o set_therm set_therm.c

read_temp:	read_temp.c therm.h
	gcc -O2 -o read_temp read_temp.c

fan_ctrl:	fan_ctrl.c therm.h
	gcc -O2 -o fan_ctrl fan_ctrl.c

clean:
	rm -f *.o set_therm read_temp fan_ctrl

install:
	install set_therm $(DESTDIR)/sbin/ 
	install read_temp $(DESTDIR)/sbin/ 
	install fan_ctrl $(DESTDIR)/sbin/

=== debian/changelog ===
therm-0.0.8 (1-1) unstable; urgency=low

  * Upstream copyright changes. 

 -- David Welton <davidw@efn.org>  Wed, 21 Oct 1998 02:42:13 -0700

therm-0.0.7 (1-1) unstable; urgency=low

  * Initial Release.

 -- David Welton <davidw@efn.org>  Thu,  8 Oct 1998 16:08:37 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "davidw@efn.org"
End:

=== debian/control ===
Source: therm-0.0.8
Section: base
Priority: required
Maintainer: David Welton <davidw@wiglaf.cks.com>
Standards-Version: 2.4.1

Package: therm-0.0.8
Architecture: arm
Depends: ${shlibs:Depends}
Description: Therm driver and controls for the netwinder.
 Kernel module and programs to control the therm driver in the netwinder.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=therm-0.0.7

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install debian/therm debian/tmp/etc/rc.boot
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	dh_installdirs
	dh_installdocs README
	dh_installmanpages
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
